Bug 94944 - [regression, hswgt1] gpu hang on arb_shader_image_load_store
Summary: [regression, hswgt1] gpu hang on arb_shader_image_load_store
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: Jason Ekstrand
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-15 01:15 UTC by Mark Janes
Modified: 2016-04-21 02:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-04-15 01:15:10 UTC
the series ending in f1d29099b4eedafb0302a21c0673d12a6610c369 causes gpu hangs on hswgt1 when running piglit arb_shader_image_load_store:

2016-04-14T17:27:40,390132-0700 [drm] GPU HANG: ecode 7:0:0x85dffffc, in arb_shader_imag [3371], reason: Ring hung, action: reset
Hanging Test:
piglit.spec.arb_shader_image_load_store.invalid

Author:     Jason Ekstrand <jason.ekstrand@intel.com>
i965: Push everything if pull_param == NULL

Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
Comment 1 Jason Ekstrand 2016-04-15 01:46:06 UTC
This isn't a new bug and I've been meaning to fix it for a while.  Patch on the list.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.